define({ "api": [
  {
    "type": "post",
    "url": "/token",
    "title": "Access Token Request",
    "name": "AccessTokenRequest",
    "group": "OAuth2",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "grant_type",
            "description": "<p>Grant Type</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "client_id",
            "description": "<p>The client identifier issued to the client during the registration process</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "client_secret",
            "description": "<p>The client secret</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "redirect_uri",
            "description": "<p>After completing its interaction with the resource owner, the authorization server directs the resource owner's user-agent back to the client</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "scope",
            "description": "<p>The scope of the access request</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "code",
            "description": "<p>The authorization code generated by the authorization server</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "username",
            "description": "<p>The username</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "password",
            "description": "<p>The password</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "src/router.ts",
    "groupTitle": "OAuth2",
    "sampleRequest": [
      {
        "url": "https://oauth2-framework.openservices.co.za/token"
      }
    ]
  },
  {
    "type": "get",
    "url": "/authorize",
    "title": "Authorization Request",
    "name": "AuthorizationRequest",
    "group": "OAuth2",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "response_type",
            "description": "<p>The authorization endpoint is used by the authorization code grant type and implicit grant type flows</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "client_id",
            "description": "<p>The client identifier issued to the client during the registration process</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "redirect_uri",
            "description": "<p>After completing its interaction with the resource owner, the authorization server directs the resource owner's user-agent back to the client</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "scope",
            "description": "<p>The scope of the access request</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "state",
            "description": "<p>An opaque value used by the client to maintain state between the request and callback</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "src/router.ts",
    "groupTitle": "OAuth2",
    "sampleRequest": [
      {
        "url": "https://oauth2-framework.openservices.co.za/authorize"
      }
    ]
  },
  {
    "type": "get",
    "url": "/user",
    "title": "User Request",
    "name": "UserRequest",
    "group": "OAuth2",
    "header": {
      "fields": {
        "Header": [
          {
            "group": "Header",
            "type": "string",
            "optional": false,
            "field": "authorization",
            "description": "<p>Bearer Token.</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "src/router.ts",
    "groupTitle": "OAuth2",
    "sampleRequest": [
      {
        "url": "https://oauth2-framework.openservices.co.za/user"
      }
    ]
  },
  {
    "type": "post",
    "url": "/validate",
    "title": "Validate Request",
    "name": "ValidateRequest",
    "group": "OAuth2",
    "header": {
      "fields": {
        "Header": [
          {
            "group": "Header",
            "type": "string",
            "optional": false,
            "field": "authorization",
            "description": "<p>Bearer Token.</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "src/router.ts",
    "groupTitle": "OAuth2",
    "sampleRequest": [
      {
        "url": "https://oauth2-framework.openservices.co.za/validate"
      }
    ]
  }
] });
