"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bodyParser = require("body-parser");
const express = require("express");
const path = require("path");
const yargs = require("yargs");
const index_1 = require("./index");
const argv = yargs.argv;
const app = express();
app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());
app.use('/api/docs', express.static(path.join(__dirname, './../apidoc')));
app.use('/api/coverage', express.static(path.join(__dirname, './../coverage/lcov-report')));
const model = {
    findClient: (client_id) => {
        if (client_id === '0zyrWYATtw') {
            return Promise.resolve(new index_1.Client('Demo Application', '0zyrWYATtw', 'x3h8CTB2Cj', [], ['http://example.com/callback'], true, true));
        }
        else {
            return Promise.resolve(null);
        }
    },
    register: (client_id, emailAddress, username, password) => {
        if (validEmailAddress(emailAddress)) {
            return Promise.resolve(true);
        }
        else {
            throw new Error('Invalid Email Address');
        }
    },
    resetPassword: (client_id, username, password) => {
        return Promise.resolve(true);
    },
    sendForgotPasswordEmail: (client_id, username, resetPasswordUrl) => {
        return Promise.resolve(true);
    },
    sendVerificationEmail: (client_id, emailAddress, username, verificationUrl) => {
        return Promise.resolve(true);
    },
    validateCredentials: (client_id, username, password) => {
        return Promise.resolve(true);
    },
    verify: (client_id, username) => {
        return Promise.resolve(true);
    },
};
function validEmailAddress(emailAddress) {
    const emailAddressPattern = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    if (!emailAddressPattern.test(emailAddress)) {
        return false;
    }
    return true;
}
app.use('/', index_1.OAuth2FrameworkRouter(model, null, null, null, null, null, null, null, null, null, null, 'qUKNuGEUFO'));
app.listen(argv.port || 3000, () => {
    console.log(`listening on port ${argv.port || 3000}`);
});
//# sourceMappingURL=app.js.map