/// <reference types="express" />
import * as express from 'express';
import { Client, Token } from './index';
export declare function OAuth2FrameworkRouter(model: {
    findClient: (client_id: string, request: express.Request) => Promise<Client>;
    register: (client_id: string, emailAddress: string, username: string, password: string, request: express.Request) => Promise<boolean>;
    resetPassword: (client_id: string, username: string, password: string, request: express.Request) => Promise<boolean>;
    sendForgotPasswordEmail: (client_id: string, username: string, resetPasswordUrl: string, request: express.Request) => Promise<boolean>;
    sendVerificationEmail: (client_id: string, emailAddress: string, username: string, verificationUrl: string, request: express.Request) => Promise<boolean>;
    verify: (client_id: string, username: string, request: express.Request) => Promise<boolean>;
    validateCredentials: (client_id: string, username: string, password: string, request: express.Request) => Promise<boolean>;
    generateCode(client_id: string, username: string, scopes: string[], request: express.Request): Promise<string>;
    validateCode(code: string, request: express.Request): Promise<Token>;
    generateAccessToken(client_id: string, username: string, scopes: string[], request: express.Request): Promise<string>;
    validateAccessToken(code: string, request: express.Request): Promise<Token>;
}, loginPagePath: string, forgotPasswordPagePath: string, forgotPasswordSuccessPagePath: string, forgotPasswordFailurePagePath: string, resetPasswordPagePath: string, registerPagePath: string, registerSuccessPagePath: string, registerFailurePagePath: string, emailVerficationSuccessPagePath: string, emailVerficationFailurePagePath: string, secret: string): express.Router;
